Bug 1575025 - It shows errata while upgrading DB from bz4 to bz5
Summary: It shows errata while upgrading DB from bz4 to bz5
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Bugzilla
Classification: Community
Component: Database
Version: 5.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: PnT DevOps Devs
QA Contact: tools-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-04 14:55 UTC by Rony Gong 🔥
Modified: 2018-05-08 22:38 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-05 01:17:07 UTC


Attachments (Terms of Use)
ansible log (19.41 KB, text/plain)
2018-05-04 14:55 UTC, Rony Gong 🔥
no flags Details

Description Rony Gong 🔥 2018-05-04 14:55:10 UTC
Created attachment 1431438 [details]
ansible log

Description of problem:
It shows errata while upgrading DB from bz4 to bz5, please check the attchment

Version-Release number of selected component (if applicable):
5.0.4-rh2

How reproducible:
Always

Steps to Reproduce:
1.Import a BZ4 db into BZ5 server database
2.Run the ansible:
ansible-playbook -v playbooks/deploy.yml --limit=qe-pek2 --extra-vars "upgrade_from_bz4=True"
3.

Actual results:


Expected results:


Additional info:

Comment 1 Jeff Fearn 🐞 2018-05-05 01:17:07 UTC
": ERROR:  must be owner of database bugs" Configuring the owner of the database is not, and cannot be, part of the playbook.

Comment 2 Rony Gong 🔥 2018-05-08 13:54:09 UTC
After I assign the superuser role to user apache and bugs in the DB side, it still shows the same error. Could you tell me which user should be assigned what permission?

Comment 3 Jeff Fearn 🐞 2018-05-08 22:38:16 UTC
1: There should not be an apache user in the DB.
2: The bugs user should not be a super user
3: ALTER DATABASE bugs OWNER TO bugs;
4: You can skip step 3 if you use --username=bugs when using pg_restore.


Note You need to log in before you can comment on or make changes to this bug.